Facebook for BlackBerry version 1.6 details and impressions

55 Comments

facebook for blackberry

The latest version of Facebook has been out over the weekend and there are some great updates.

The first thing you’ll notice is the navigation experience is much more fluid. The homescreen and subsequent pages have been updated so everything is just a click away. All of your friends’ recent status updates are located on the first screen, and you can click into each profile to see pics uploaded and tagged, calendar events as well as interact with your friend via comments, pokes, messages and a phone call option.

The photo viewing experience has been great improved as well. As you browse a friend’s photos, you get a nice slideshow of the album pics. You can scroll easily through the pictures which are displayed in full at the top, and thumbnail preview at the bottom. To comment on a photo, just click the picture and select the comment option.

There’s some additional language support that will be of great interest to the international user. The app now supports:

  • Thai
  • Indonesian
  • European Portuguese

Download Facebook from your BlackBerry Browser or from the desktop at www.blackberry.com/facebook.

  • bbgeek

    Does anyone know how to “clear update”? This option is no longer available as it was in previous versions.

  • bbgeek

    Does anyone know how to “clear update”? This option is no longer available as it was in previous versions.

  • addictedtoBB

    Aside from it being really, really slow, I like the improvements. The picture viewing is a dramatic difference. I wish we could select which friends we view feeds from like you can on the web version. Would be nice to get rid of the people you don’t want to view.

  • addictedtoBB

    Aside from it being really, really slow, I like the improvements. The picture viewing is a dramatic difference. I wish we could select which friends we view feeds from like you can on the web version. Would be nice to get rid of the people you don’t want to view.

  • jay

    I’m on Bes and with the new 1.6 i can’t sync my contacts… :s

  • jay

    I’m on Bes and with the new 1.6 i can’t sync my contacts… :s

  • http://twitter.com/slicKGilchrist/statuses/2075641313 slicKGilchrist (Kalonji Abdul.

    RT @BlackBerryCool: Facebook for BlackBerry version 1.6 details and impressions http://bit.ly/xWR7b

  • diana

    I am getting the following error message: “Sorry, your device does not meet the system requirements that are needed to support Facebook.”

    I currently use Facebook v 1.5 on my device so th upgrade should work.

    What are the system requirements? I have a Curve 8320 and am currently running OS 4.5.

    Help. Thanks!

  • diana

    I am getting the following error message: “Sorry, your device does not meet the system requirements that are needed to support Facebook.”

    I currently use Facebook v 1.5 on my device so th upgrade should work.

    What are the system requirements? I have a Curve 8320 and am currently running OS 4.5.

    Help. Thanks!

  • Matt

    @ Diana, I got the same message, when trying to update from within the Facbook app. I also tried through Blackberry World and got a slightly different message saying that I didn’t have enough device memory.
    So I removed some of the themes taht I never used and re-tried successfully through Blackberry World.
    Sorted!

  • Matt

    @ Diana, I got the same message, when trying to update from within the Facbook app. I also tried through Blackberry World and got a slightly different message saying that I didn’t have enough device memory.
    So I removed some of the themes taht I never used and re-tried successfully through Blackberry World.
    Sorted!

  • Dom Conway

    Jay, if you’re going through a BES then this is probably the cause:
    http://www.blackberry.com/btsc/search.do?cmd=displayKC&docType=kc&externalId=KB18427

  • Dom Conway

    Jay, if you’re going through a BES then this is probably the cause:
    http://www.blackberry.com/btsc/search.do?cmd=displayKC&docType=kc&externalId=KB18427

  • willy

    hi am also getting the error ‘“Sorry, your device does not meet the system requirements that are needed to support Facebook.”’ i was also using version 1.5 and uninstalled after this error message. 8310 my gadget

  • willy

    hi am also getting the error ‘“Sorry, your device does not meet the system requirements that are needed to support Facebook.”’ i was also using version 1.5 and uninstalled after this error message. 8310 my gadget

  • bbgeek

    Going back to my original question…Does anyone know how to “clear update”? This option is no longer available as it was in previous versions. Thanks

  • bbgeek

    Going back to my original question…Does anyone know how to “clear update”? This option is no longer available as it was in previous versions. Thanks

  • addictedtoBB

    @bbgeek…what do you mean “clear update”? Do you mean delete a notification? I’ve had all of the Facebook versions and have no idea what you are talking about.

  • addictedtoBB

    @bbgeek…what do you mean “clear update”? Do you mean delete a notification? I’ve had all of the Facebook versions and have no idea what you are talking about.

  • bbgeek

    In previous versions at the bottom of your “Update Status” box there’s a “Clear Update” link, which basically clears your update to “null” and won’t show your previous or any status any more.

  • bbgeek

    In previous versions at the bottom of your “Update Status” box there’s a “Clear Update” link, which basically clears your update to “null” and won’t show your previous or any status any more.

  • addictedtoBB

    Oh, sorry…I didn’t realize you were talking about the Status Update. Odd…there isn’t a way to clear it from the app. It appears that the only way to clear it is by going to the Home page of the web site on your phone. That’s the only place I can see to clear it. Annoying yes, but I found myself clearing my status by accident on the last version just because of where the trackball wanted to go at the time.

  • addictedtoBB

    Oh, sorry…I didn’t realize you were talking about the Status Update. Odd…there isn’t a way to clear it from the app. It appears that the only way to clear it is by going to the Home page of the web site on your phone. That’s the only place I can see to clear it. Annoying yes, but I found myself clearing my status by accident on the last version just because of where the trackball wanted to go at the time.

  • Diana

    It was definitely a memory issue. I removed a couple of old items and was able to install no problem.

    I thought that may have been the issue, but the error message didn’t indicate that it was a memory problem. It sounded like it wouldn’t work with the OS on the Curve.

    Thanks again!

    Diana

  • Diana

    It was definitely a memory issue. I removed a couple of old items and was able to install no problem.

    I thought that may have been the issue, but the error message didn’t indicate that it was a memory problem. It sounded like it wouldn’t work with the OS on the Curve.

    Thanks again!

    Diana

  • Diana

    It was definitely a memory issue. I removed a couple of old items and was able to install no problem.

    I thought that may have been the issue, but the error message didn’t indicate that it was a memory problem. It sounded like it wouldn’t work with the OS on the Curve.

    Thanks again!

    Diana

  • Diana

    It was definitely a memory issue. I removed a couple of old items and was able to install no problem.

    I thought that may have been the issue, but the error message didn’t indicate that it was a memory problem. It sounded like it wouldn’t work with the OS on the Curve.

    Thanks again!

    Diana

  • Callie

    Can’t stand it. I’d rather go back to 1.5, but can’t figure out how just over my phone. I only use the app to know when people post on MY status or MY pictures. If I wanted to see what everyone else says on other peoples stuff, I’d simply go to the browser. After downloading 1.6, I get everything from everyone who comments on what I’ve commented on. It annoying and makes me not want to comment anymore.

    The scrolling is also annoying. That’s as far as I’ve gone, since it’s constantly “tweeting” with a new notification.

    I’ll probably just delete the whole thing and only use the browser, but that’s no fun.

  • Callie

    Can’t stand it. I’d rather go back to 1.5, but can’t figure out how just over my phone. I only use the app to know when people post on MY status or MY pictures. If I wanted to see what everyone else says on other peoples stuff, I’d simply go to the browser. After downloading 1.6, I get everything from everyone who comments on what I’ve commented on. It annoying and makes me not want to comment anymore.

    The scrolling is also annoying. That’s as far as I’ve gone, since it’s constantly “tweeting” with a new notification.

    I’ll probably just delete the whole thing and only use the browser, but that’s no fun.

  • ethol

    How do I change v 1.6 back to 1.5???coz,with this new version,my javelin work very slow

  • ethol

    How do I change v 1.6 back to 1.5???coz,with this new version,my javelin work very slow

  • Kelly

    i cant stand this new version. I cant replay to ANYTHING. i can only update my status and view everyone elses status updates. It gives me some bogus error message saying something like “this user is not available for this function” or something to that effect. i would love to get version 1.5 back but i cant find anyway to do it. help?

  • Kelly

    i cant stand this new version. I cant replay to ANYTHING. i can only update my status and view everyone elses status updates. It gives me some bogus error message saying something like “this user is not available for this function” or something to that effect. i would love to get version 1.5 back but i cant find anyway to do it. help?

  • Niki

    How do you search for friends on the 1.6 version?

  • Niki

    How do you search for friends on the 1.6 version?

  • Niki

    How do you search for friends/people on the new 1.6 version?

  • Niki

    How do you search for friends/people on the new 1.6 version?

  • Leigh Wood

    I received a message on my Bold saying the new 1.6 is availble for upgrade. I clicked the link and received the following error message, ” 907 INVALID COD” I have now also lost my previous software version. Any ideas on how to fix this

  • Leigh Wood

    I received a message on my Bold saying the new 1.6 is availble for upgrade. I clicked the link and received the following error message, ” 907 INVALID COD” I have now also lost my previous software version. Any ideas on how to fix this

  • Bill Green

    Is there a way to filter who status updates you see?

  • Bill Green

    Is there a way to filter who status updates you see?

  • Coupland

    This new version is really awful. Why in the world would they remove the ability to view your own status? I also hate the fact that I cannot clear it within the app. The slide screen is annoying as it is not fluid most of the time and just takes processing power from my blackberry. It’s just slower, period. Does anyone even use highlights?

  • Coupland

    This new version is really awful. Why in the world would they remove the ability to view your own status? I also hate the fact that I cannot clear it within the app. The slide screen is annoying as it is not fluid most of the time and just takes processing power from my blackberry. It’s just slower, period. Does anyone even use highlights?

  • Jill

    I deleted the facebook version I already have and then was able to install the newly released application.

  • http://Sorry,yourdevicedoesnotmeetthesystemrequirementsthatareneededtosupportFacebook Jill

    I deleted the facebook version I already have and then was able to install the newly released application.

  • Chris

    Hi all,
    i had version 1,6 installed and upgraded to 1,7. However that one didnt work with my service provider so i deleted it (setup/advanced options/applications)

    afterwards i went to the bb side to download 1,6 again and got the following errormessage:

    Sorry, your device does not meet the system requirements that are needed to support facebook.

    Ppl say its a memory issue, but i have a nearly free 2gb card it there. Any hints? help is much appreciated.

    Thanks in advance.
    Chris

  • Chris

    Hi all,
    i had version 1,6 installed and upgraded to 1,7. However that one didnt work with my service provider so i deleted it (setup/advanced options/applications)

    afterwards i went to the bb side to download 1,6 again and got the following errormessage:

    Sorry, your device does not meet the system requirements that are needed to support facebook.

    Ppl say its a memory issue, but i have a nearly free 2gb card it there. Any hints? help is much appreciated.

    Thanks in advance.
    Chris

  • Chris

    Just forgot, running it on a Blackberry 8900.

  • Chris

    Just forgot, running it on a Blackberry 8900.